Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningFolderSummarySoapDOConvertor

java.lang.Object
com.collabnet.ce.soap60.webservices.planning.PlanningFolderSummarySoapDOConvertor

public class PlanningFolderSummarySoapDOConvertor extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanningFolderSummarySoapDOConvertor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlanningFolderSummary2SoapDO`
  `getPlanningFolderSummary2DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)`
  Set and return PlanningFolderSummary2DO from PlanningFolderSummaryData and PlanningFolderDO
  `PlanningFolderSummary3SoapDO`
  `getPlanningFolderSummary3DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)`
  Set and return PlanningFolderSummary3DO from PlanningFolderSummaryData and PlanningFolderDO
  `PlanningFolderSummary4SoapDO`
  `getPlanningFolderSummary4DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)`
  Set and return PlanningFolderSummary4DO from PlanningFolderSummaryData and PlanningFolderDO
  `PlanningFolderSummary5SoapDO`
  `getPlanningFolderSummary5DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)`
  Set and return PlanningFolderSummary4DO from PlanningFolderSummaryData and PlanningFolderDO
  `PlanningFolderSummarySoapDO`
  `getPlanningFolderSummaryDO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)`
  Set and return PlanningFolderSummaryDO from PlanningFolderSummaryData and PlanningFolderDO
  `static PlanningFolderSummarySoapDOConvertor`
  `getSmInstance()`
  Returns the singleton class instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlanningFolderSummarySoapDOConvertor

    public PlanningFolderSummarySoapDOConvertor()

- ## Method Details

  - ### getSmInstance

    public static PlanningFolderSummarySoapDOConvertor getSmInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### getPlanningFolderSummaryDO

    public PlanningFolderSummarySoapDO getPlanningFolderSummaryDO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)
    Set and return PlanningFolderSummaryDO from PlanningFolderSummaryData and PlanningFolderDO
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderDO` - PlanningFolderDO
    Returns:
      PlanningFolderSummaryDO

  - ### getPlanningFolderSummary2DO

    public PlanningFolderSummary2SoapDO getPlanningFolderSummary2DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)
    Set and return PlanningFolderSummary2DO from PlanningFolderSummaryData and PlanningFolderDO
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderDO` - PlanningFolderDO
    Returns:
      PlanningFolderSummary2DO

  - ### getPlanningFolderSummary3DO

    public PlanningFolderSummary3SoapDO getPlanningFolderSummary3DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)
    Set and return PlanningFolderSummary3DO from PlanningFolderSummaryData and PlanningFolderDO
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderDO` - PlanningFolderDO
    Returns:
      PlanningFolderSummary3DO

  - ### getPlanningFolderSummary4DO

    public PlanningFolderSummary4SoapDO getPlanningFolderSummary4DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)
    Set and return PlanningFolderSummary4DO from PlanningFolderSummaryData and PlanningFolderDO
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderDO` - PlanningFolderDO
    Returns:
      PlanningFolderSummary4DO

  - ### getPlanningFolderSummary5DO

    public PlanningFolderSummary5SoapDO getPlanningFolderSummary5DO(com.collabnet.ctf.dataobject.planning.PlanningFolderSummaryData statsObject, com.vasoftware.sf.server.services.planning.PlanningFolderDO planningFolderDO)
    Set and return PlanningFolderSummary4DO from PlanningFolderSummaryData and PlanningFolderDO
    Parameters:
      `statsObject` - PlanningFolderSummaryData object
      `planningFolderDO` - PlanningFolderDO
    Returns:
      PlanningFolderSummary4DO